DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# TikhonovRegularizationParameter

Determine the value of the regularisation parameter

## SYNOPSIS

`#include "dip_restoration.h"`

dip_Error dip_TikhonovRegularizationParameter ( in, psf, reg, background, max, min, lambda, method, var, flags )

## FUNCTION

This function implements different methods to estimate the value of the regularistion parameter `lambda` of the `TikhonovMiller` restoration filter.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `psf` | Point spread function image
`dip_Image` | `reg` | Regularisation filter rimage
`dip_Image` | `background (0)` | Background image
`dip_float` | `max` | Maximum value of `lambda`
`dip_float` | `min` | Minimum value of `lambda`
`dip_float *` | `lambda` | pointer to the regularisation parameter
`dipf_RegularizationParameter` | `method` | Method used to determine `lambda`
`dip_float` | `var` | Noise variance
`dipf_ImageRestoration` | `flags` | Restoration flags

## LITERATURE

G.M.P. van Kempen, Image Restoration in FLuorescence Microscopy, Ph.D. Thesis, Delft University of Technology, 1999

## SEE ALSO

`TikhonovRegularizationParameter`